[ gpsdrive ] 2.10pre4 fails to compile, Mapnik

Jannis Achstetter kripton at kripserver.net
Wed May 28 11:36:33 AKDT 2008


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Jan-Erik Skata schrieb:
| On Wed, May 28, 2008 at 9:48 PM, Jan-Erik Skata <jeskata at gmail.com
| <mailto:jeskata at gmail.com>> wrote:
|     python scons/scons.py install
|
|  [...]
|
| OK, I finally got it built and working. Some of the packagages werent
| available in portage, had to install mapnik and libgda 3 manually.
|

I don't know how long you are using Gentoo but in my experience it's
better to avoid installing stuff "manually" since you might never get
rid of those files (because the package will not remember which files it
installed so you won't find them all for removing.
It's better to write an ebuild and use that for installing since you can
always just do an unmerge and it will delete all files it installed.
There's a ebuild for mapnik here:
http://bugs.gentoo.org/show_bug.cgi?id=140599 (Bugzilla is the best
place to find ebuild forhttp://bugs.gentoo.org/show_bug.cgi?id=140599
packages, that are not yet in portage). The ebuild is for version 0.4.0
but works well for 0.5.1.
You will need Mapnik-support for reading from Postgres/PostGIS since
this is where gpsdrive will tell mapnik where to get the data from.

Jannis
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkg9tDoACgkQeYlewm37lbjvagCeNvSXv2nVyTgi8t8qMDqoj/DZ
q8QAnjplTWoHzvHSMqWmGdLvyM8u4oid
=x8eo
-----END PGP SIGNATURE-----


More information about the GPSdrive mailing list